Summary:	Graphical frontend to libparted
Name:		gparted
Version:	0.28.1
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		http://gparted.sourceforge.net
Source0:	http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		gparted-0.26.1-mga-fix-desktop-file.patch
BuildRequires:	pkgconfig(libparted)
BuildRequires:	pkgconfig(gtkmm-2.4) > 2.8
BuildRequires:	pkgconfig(sigc++-2.0)
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
BuildRequires:	gnome-doc-utils
BuildRequires:	intltool

Requires:	polkit

%description
GParted stands for Gnome Partition Editor and is a graphical frontend to
libparted. Among other features it supports creating, resizing, moving
and copying of partitions. Also several (optional) filesystem tools provide
support for filesystems not included in libparted. These optional packages
will be detected at runtime and don't require a rebuild of GParted

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x --enable-libparted-dmraid --enable-online-resize
%make_build

%install
%make_install

%find_lang %{name} --with-gnome

for omf in %{buildroot}%{_datadir}/omf/*/*-??*.omf;do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%{buildroot}!!)" >> %{name}.lang
done

desktop-file-install --vendor='' \
	--dir %{buildroot}%{_datadir}/applications/ \
	--add-category='GTK;HardwareSettings;Settings' \
	%{buildroot}%{_datadir}/applications/*.desktop

# polkit
mkdir -p %{buildroot}{%{_bindir},%{_libexecdir}}
mv %{buildroot}%{_sbindir}/%{name} %{buildroot}%{_libexecdir}
cat >%{buildroot}%{_bindir}/%{name} <<EOF
#!/bin/sh
if  [[ "\$EUID" != "0" ]] ; then
    %{_bindir}/pkexec %{_libexecdir}/%{name} "\$@"
    exit \$?
fi
exec %{_libexecdir}/%{name} "\$@"
EOF
chmod a+x %{buildroot}%{_bindir}/%{name}
sed -i 's|%{_sbindir}|%{_bindir}|' %{buildroot}%{_datadir}/applications/*.desktop

mkdir -p %{buildroot}%{_datadir}/polkit-1/actions
POLICYFILE=%{buildroot}%{_datadir}/polkit-1/actions/net.sourceforge.gparted.policy
cat >$POLICYFILE <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE policyconfig PUBLIC
"-//freedesktop//DTD PolicyKit Policy Configuration 1.0//EN"
"http://www.freedesktop.org/standards/PolicyKit/1/policyconfig.dtd">
<policyconfig>

 <vendor>Mageia</vendor>
 <vendor_url>http://www.mageia.org/</vendor_url>

 <action id="net.sourceforge.gparted.pkexec.run">
EOF

grep '^X-GNOME-FullName=' %{buildroot}%{_datadir}/applications/%{name}.desktop \
  | sed 's@^X-GNOME-FullName=\(.*\)@    <description>\1</description>@' >>$POLICYFILE

grep '^X-GNOME-FullName\[' %{buildroot}%{_datadir}/applications/%{name}.desktop \
  | sed 's@^X-GNOME-FullName\[\(.*\)\]=\(.*\)@    <description xml:lang="\1">\2</description>@' >>$POLICYFILE

grep '^X-GNOME-FullName=' %{buildroot}%{_datadir}/applications/%{name}.desktop \
  | sed 's@^X-GNOME-FullName=\(.*\)@    <message>\1</message>@' >>$POLICYFILE

grep '^X-GNOME-FullName\[' %{buildroot}%{_datadir}/applications/%{name}.desktop \
  | sed 's@^X-GNOME-FullName\[\(.*\)\]=\(.*\)@    <message xml:lang="\1">\2</message>@' >>$POLICYFILE

grep '^Icon=' %{buildroot}%{_datadir}/applications/%{name}.desktop \
  | sed 's@^Icon=\(.*\)@    <icon_name>\1</icon_name>@' >>$POLICYFILE

cat >>$POLICYFILE <<EOF
    <defaults>
     <allow_any>no</allow_any>
     <allow_inactive>no</allow_inactive>
     <allow_active>auth_admin_keep</allow_active>
    </defaults>
    <annotate key="org.freedesktop.policykit.exec.path">%{_libexecdir}/%{name}</annotate>
    <annotate key="org.freedesktop.policykit.exec.allow_gui">true</annotate>
 </action>
</policyconfig>
EOF


%preun
if [ $1 -ge 0 ]; then
    if [ -a %{_datadir}/hal/fdi/policy/gparted-disable-automount.fdi ]; then
       rm -rf %{_datadir}/hal/fdi/policy/gparted-disable-automount.fdi
    fi
fi

%files -f %{name}.lang
%doc AUTHORS README COPYING ChangeLog
%{_bindir}/%{name}
%{_sbindir}/%{name}bin
%{_libexecdir}/%{name}
%{_datadir}/appdata/gparted.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_mandir}/man8/*
%dir %{_datadir}/omf/%{name}
%{_datadir}/omf/%{name}/%{name}-C.omf
%{_datadir}/polkit-1/actions/net.sourceforge.gparted.policy


%changelog
* Mon May 01 2017 ghibo <ghibo> 0.28.1-1.mga6
+ Revision: 1098194
- Update to release 0.28.1

* Wed Nov 09 2016 ghibo <ghibo> 0.27.0-1.mga6
+ Revision: 1066035
- Update to release 0.27.0

* Fri Aug 12 2016 daviddavid <daviddavid> 0.26.1-3.mga6
+ Revision: 1046012
- new version: 0.26.1
- switch more some BRs to pkgconfig()

* Mon Jun 13 2016 tv <tv> 0.26.0-2.mga6
+ Revision: 1021294
- update description
- enable dmraid support

* Sat Apr 30 2016 daviddavid <daviddavid> 0.26.0-1.mga6
+ Revision: 1007997
- new version: 0.26.0

* Thu Jan 21 2016 daviddavid <daviddavid> 0.25.0-1.mga6
+ Revision: 926199
- new version: 0.25.0
- build without forcing -std=gnu++11

* Wed Oct 28 2015 joequant <joequant> 0.24.0-1.mga6
+ Revision: 895964
- new version 0.24.0

* Sun Aug 23 2015 wally <wally> 0.23.0-1.mga6
+ Revision: 868812
- new version 0.23.0
- build using -std=gnu++11

* Fri Jul 03 2015 daviddavid <daviddavid> 0.22.0-1.mga6
+ Revision: 849687
- new version: 0.22.0

* Wed Oct 15 2014 umeabot <umeabot> 0.19.1-3.mga5
+ Revision: 739281
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.19.1-2.mga5
+ Revision: 679906
- Mageia 5 Mass Rebuild

* Sun Aug 24 2014 akien <akien> 0.19.1-1.mga5
+ Revision: 667115
- Version 0.19.1

* Wed Jun 11 2014 fwang <fwang> 0.19.0-1.mga5
+ Revision: 635568
- 0.19.0

* Fri May 23 2014 alexl <alexl> 0.18.0-3.mga5
+ Revision: 625183
- continue to fix run script (mga#13249)

* Sun May 11 2014 alexl <alexl> 0.18.0-2.mga5
+ Revision: 621883
- fix run script (mga#13249)

* Thu Feb 20 2014 fwang <fwang> 0.18.0-1.mga5
+ Revision: 595032
- update file list
- 0.18.0

* Tue Feb 18 2014 colin <colin> 0.16.2-3.mga5
+ Revision: 594292
- Convert to polkit for authorisation mga#11745

* Sat Oct 19 2013 umeabot <umeabot> 0.16.2-2.mga4
+ Revision: 535162
- Mageia 4 Mass Rebuild

* Thu Sep 19 2013 fwang <fwang> 0.16.2-1.mga4
+ Revision: 481458
- new version 0.16.2

* Tue Jul 02 2013 dams <dams> 0.16.1-1.mga4
+ Revision: 449592
- new version 0.16.1

* Sat Jan 12 2013 umeabot <umeabot> 0.14.1-2.mga3
+ Revision: 352516
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 14 2012 fwang <fwang> 0.14.1-1.mga3
+ Revision: 330691
- new version 0.14.1

* Thu Oct 11 2012 fwang <fwang> 0.14.0-1.mga3
+ Revision: 304569
- new version 0.14.0

* Tue Aug 28 2012 tv <tv> 0.13.1-1.mga3
+ Revision: 284660
- new release

* Fri Aug 03 2012 fwang <fwang> 0.13.0-2.mga3
+ Revision: 278214
- rebuild for new gparted

* Sat Jul 14 2012 fwang <fwang> 0.13.0-1.mga3
+ Revision: 270696
- new version 0.13.0

* Mon Jun 04 2012 fwang <fwang> 0.12.1-1.mga3
+ Revision: 253862
- new version 0.12.1

* Wed Feb 22 2012 fwang <fwang> 0.12.0-1.mga2
+ Revision: 211810
- new version 0.12.0

* Wed Dec 14 2011 fwang <fwang> 0.11.0-1.mga2
+ Revision: 181532
- fix linkage
- new version 0.11.0

* Wed Nov 02 2011 fwang <fwang> 0.10.0-1.mga2
+ Revision: 161233
- new version 0.10.0

* Tue Sep 20 2011 fwang <fwang> 0.9.1-1.mga2
+ Revision: 145905
- new version 0.9.1

* Tue Jul 19 2011 fwang <fwang> 0.9.0-1.mga2
+ Revision: 126187
- update file list
- new version 0.9.0

* Sat Jul 09 2011 dams <dams> 0.8.1-2.mga2
+ Revision: 120761
- add patch to build with parted3 (from fedora)
- enable libparted-dmraid

* Mon Jun 13 2011 fwang <fwang> 0.8.1-1.mga2
+ Revision: 105632
- new version 0.8.1

* Sat Apr 02 2011 wally <wally> 0.8.0-1.mga1
+ Revision: 79862
- new version 0.8.0
- handle .omf files with lang list
- drop old mdv scriptlets
- drop buildroot definition
- clean .spec a bit

  + kharec <kharec>
    - imported package gparted

